Firefox and Vengine

I upgraded to and installed Firefox version 2 and at the end of the installation, FF showed a dialog box with the add-ons that aren’t compatible with FF2. It affectively disabled Verification engine so it also is disabled in IE7. FF2 has its own phishing filter now.
(:SAD)

update - see Comodo_shanes post 10/27 FF fix

the FF2 supporting version is now released. VE v2.4

Nice! I will try it out. ;D

If FF2 has a phishing filter, why add VE??